Subject: bug#70847: 29.3; eshell scripts "from anywhere"

From: Christopher Howard <[email-masked]>
Date: Tue, 28 May 2024 14:49:24 -0800

Hi, am attempting to do further testing of features using the current patched install:

(1) Regarding eshell-execute-file:
 (a) command executes as expected when called as a normal function
 (b) it would seem highly desireable for this to be an interactive function as well. Though of course you'd have to think through exactly how you wanted to handle ARGS and DESTINATION during an interactive call.

(2) I'm having trouble testing the eshell-batch-file functionality. I created a script like so:

```
#!/home/christopher/local/bin/emacs --batch -f eshell-batch-file
echo bleep
```

When I try to run this, the correct emacs gets launched (the patched one) but emacs also tries to load my local init.el file - the one written for my 29.3 install - which leads to a backtrace as certain things don't load correctly. My understanding was that --batch is supposed to prevent local init files from being loaded.

I tried adding -Q to the shebang line but that doesn't seem to have an effect.

I find that I can do something like this fine from the console:

```
christopher@theoden ~ [env]$ EMACSLOADPATH=/home/christopher/local/share/emacs/site-lisp:/home/christopher/local/share/emacs/30.0.50/lisp ~/local/bin/emacs --batch -f pwd
Directory ~/
```

-- 
Christopher Howard